> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all listings

GET https://api.propexo.com/v1/listings/

Get all listings

Reference: https://docs.propexo.com/api-reference/resman/listings/get-all-listings

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `x_id` (string, optional) — The external listing id
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `integration_id` (string, optional) — The Propexo integration id
- `integration_vendor` (enum, optional) — The integration vendor for the listing.
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of Listing, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Listing

- `id` (string, required) — The Propexo unique identifier for the listing
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendorResMan's legacy ID doesn't expose a unique ID, so Propexo uses the name as part of how we uniquely identify the floor plan. In the unlikely event that the name were to change, a new floor plan record would be created. | Interface | Method | | --------- | ---------------------- | | Marketing | /MITS/GetMarketing4\_0 |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `x_unit_id` (string, required, nullable) — The external ID of the unit from the integration vendor | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `x_floor_plan_id` (string, required, nullable) — The external ID of the floor plan from the integration vendor | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `is_unit` (boolean, required) — True if the listing is for a unit, false if it is not associated with a specific unit | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `available_date` (string, required, nullable) — The date the listing is available | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `application_url` (string, required, nullable) — The application URL for the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `bathrooms` (string, required, nullable) — The number of bathrooms associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `bathrooms_full` (double, required, nullable) — The number of full bathrooms associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `bathrooms_half` (double, required, nullable) — The number of half bathrooms associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `bedrooms` (string, required, nullable) — The number of bedrooms associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `building_name` (string, required, nullable) — The building name associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `building_number` (any, required) — The building number associated with the listingThis field will always be null for RESMAN
- `city` (string, required, nullable) — The city associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `country` (string, required, nullable) — The country associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `custom_data` (ListingCustomData, required, nullable)
- `deposit_amount_in_cents` (double, required, nullable) — The deposit amount in cents associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `floor_plan_code` (string, required, nullable) — The external ID of the floor plan associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `floor_plan_name` (string, required, nullable) — The floor plan name associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `floor` (string, required, nullable) — The floor number/name associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `image_urls` (list of string, required) — A list of image urls associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `is_available` (boolean, required, nullable) — Whether the listing is availableA unit is considered available if it has a residential economic status and is either vacant and available for lease, or currently occupied but on notice to vacate. | Interface | Method | | --------- | ---------------------- | | Marketing | /MITS/GetMarketing4\_0 |
- `is_furnished` (any, required) — Whether the listing is furnishedThis field will always be null for RESMAN
- `is_listed` (boolean, required, nullable) — Whether the listing is listedSet to true if the unit has a unit-specific availability URL, otherwise false. | Interface | Method | | --------- | ---------------------- | | Marketing | /MITS/GetMarketing4\_0 |
- `is_managed_external` (any, required) — Whether the listing is managed externallyThis field will always be null for RESMAN
- `is_vacant` (boolean, required, nullable) — Whether the listing is vacant | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `lease_term` (string, required, nullable) — The term of the leaseLease Term contains the default lease term for the property. The ResMan response payload may also include a list of available lease terms and prices for each listing. Please contact support if you'd like to get this additional metadata added to custom\_data. | Interface | Method | | --------- | ---------------------- | | Marketing | /MITS/GetMarketing4\_0 |
- `listing_title` (any, required) — The title used for the marketing listingThis field will always be null for RESMAN
- `listing_date` (any, required) — The date the listing was createdThis field will always be null for RESMAN
- `marketing_name` (string, required, nullable) — The marketing name of the unit being listed | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `notes` (any, required) — Notes associated with the listingThis field will always be null for RESMAN
- `number` (string, required, nullable) — The unit number | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `rent_amount_in_cents` (double, required, nullable) — The rent amount in cents for the listingThis field is populated with the market rent for the unit. Alternatively, rent for a specific lease term may be available on the listing. Please contact support if you'd like to get this additional metadata added to custom\_data. | Interface | Method | | --------- | ---------------------- | | Marketing | /MITS/GetMarketing4\_0 |
- `specials` (any, required) — Marketing specials or promotions for the listingThis field will always be null for RESMAN
- `square_feet` (integer, required, nullable) — The square footage of the listingResMan does not provide the square footage for any specific listing, rather the PMS provides a range of square footage based on the floor plan. Please contact support if you'd like to get the min and max range populated in custom data. | Interface | Method | | --------- | ---------------------- | | Marketing | /MITS/GetMarketing4\_0 |
- `state` (string, required, nullable) — The state associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `address_1` (string, required, nullable) — The first address line associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `address_2` (string, required, nullable) — The second address line associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `property_description` (string, required, nullable) — Description of the propertyA shorter property description may also be available. Please contact support if you'd like to get this additional metadata added to custom\_data. | Interface | Method | | --------- | ---------------------- | | Marketing | /MITS/GetMarketing4\_0 |
- `short_description` (any, required) — A short description of the listingThis field will always be null for RESMAN
- `unit_description` (any, required) — Description of the unitResMan does not have a description for the individual unit. If you need a description, we recommend loading a description for the associated floorplan.This field will always be null for RESMAN
- `zip` (string, required, nullable) — The zip code associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `make_ready_date` (string, required, nullable) — The make ready date of the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `vacate_date` (string, required, nullable) — The vacate date of the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `video_urls` (any, required) — A list of video urls associated with the listingThis field will always be null for RESMAN
- `status_raw` (string, required, nullable) — The raw status associated with the listing | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `floor_plan_id` (string, required, nullable) — The Propexo unique identifier for the floor plan | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `RESMAN`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `YARDI`, `YARDI_REST`
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for RESMAN
- `unit_type_id` (any, required) — The Propexo unique identifier for the unit typeThis field will always be null for RESMAN
- `street_address_1` (string, required, nullable, deprecated) — Deprecated: Use address_1 | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |
- `street_address_2` (string, required, nullable, deprecated) — Deprecated: Use address_2 | Interface | Method | |---|---| | Marketing | /MITS/GetMarketing4_0 |

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### ListingCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_id": "sdPFT6040dA8y8lCPYd87tpdFtLASs",
      "x_property_id": "string",
      "x_unit_id": "101",
      "x_floor_plan_id": "44069f6273ff0fea0900E2687251666b3ccadf8d1ccf582b30b34ae0d979d5b5",
      "is_unit": true,
      "available_date": "2023-02-05T00:00:00.000Z",
      "application_url": "https://property-url.myresman.com/Portal/Applicants/ExampleURL",
      "bathrooms": "1.5",
      "bathrooms_full": 1,
      "bathrooms_half": 1,
      "bedrooms": "2",
      "building_name": "Gateway Court",
      "building_number": null,
      "city": "Burlington",
      "country": "United States",
      "custom_data": {},
      "deposit_amount_in_cents": 35000,
      "floor_plan_code": "A4 WASHINGTON",
      "floor_plan_name": "Washington - 2 Bedroom, 2 Bathroom",
      "floor": "2",
      "image_urls": [
        "string"
      ],
      "is_available": true,
      "is_furnished": null,
      "is_listed": true,
      "is_managed_external": null,
      "is_vacant": true,
      "lease_term": "string",
      "listing_title": null,
      "listing_date": null,
      "marketing_name": "210",
      "notes": null,
      "number": "210",
      "rent_amount_in_cents": 175000,
      "specials": null,
      "square_feet": 997,
      "state": "CA",
      "address_1": "123 Main Street",
      "address_2": "123 Main Street",
      "property_description": "An apartment in the heart of the city.",
      "short_description": null,
      "unit_description": null,
      "zip": "90210",
      "make_ready_date": "2023-02-10T00:00:00.000Z",
      "vacate_date": "2023-02-10T00:00:00.000Z",
      "video_urls": null,
      "status_raw": "Vacant",
      "property_id": "clwi5xiix000008l6ctdgafyh",
      "unit_id": "testintegration:1:101",
      "floor_plan_id": "cm9swl4kk3170431788sb33jf197doqo",
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "RESMAN",
      "x_location_id": null,
      "unit_type_id": null,
      "street_address_1": "string",
      "street_address_2": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/listings/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/listings/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/listings/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/listings/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/listings/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/listings/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/listings/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/listings/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```